# **Cards**

_We are the best!_

## Table of Contents

- [About](#about)
- [Getting Started](#getting_started)
- [Installing](#installing)
- [Usage](#usage)
- [Contributing](#contributing)
- [Authors](#authors)
- [License](#license)

## About <a name = "about"></a>

Alexander Martian, Serhii Minin and Ivan Kutuzov were working on this project.

Serhii performed the following parts of the project:

1. Created and configured git repository.
2. Created project style.
3. Developed the architecture of working files and project folders.
4. Made a markup of the general structure of the project (header, main container).
5. Implemented API architecture (axios instance) with the functions for working with the server (create, edit, delete a card, get all cards).
6. Developed the search and filtering function.
7. Deployed working model of the project on netlify.com.

Alexander performed the following parts of the project:

1. Created the architecture of the classes.
2. Made the modal window layout.
3. Created style for modal windows and input forms.
4. Developed all classes with functions for working with cards on the server (create, edit, delete).
5. Implemented the functionality of a universal modal window.

Ivan supervised and coordinated the implementation of the project.

The main goal of the project was to show knowledge of what we have learned.

We used _html_, _css_, _javascript_, _axios_. We worked in the wider team for the first time which helped us to learn how to work with _git_ on an advanced level. We also improved our soft skills, including planning and patience. We worked in different branches and the majority of changes in the project were reviewed by other partners of our team before uploading it to the developer branch.

After finishing developing we uploaded it to the main branch and published it on netlify.com, follow the link https://cards-visit.netlify.app/

Cards is the third Step Project in DAN.IT Education.

For tests use:
_login: cards@dispostable.com
password: 123456_

Technologies are used in the project:

- HTML;
- CSS (SCSS);
- JS;

## Getting Started <a name = "getting_started"></a>

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes.

## Installing <a name = "installing"></a>

git clone https://gitlab.com/serhyiminin/cards.git

## Usage <a name = "usage"></a>

Any suggestions are welcomed!

## Contributing <a name = "contributing"></a>

- <a href="https://dan-it.com.ua/uk/">DAN.IT Education</a>

## License <a name = "license"></a>

[MIT](https://opensource.org/licenses/MIT)

## Authors <a name = "Authors"></a>

Group FE30, team KMM

- Alexander Martian
- Ivan Kutuzov
- Serhii Minin
